---
title: Feature Flag
description: 機能フラグと環境を管理します。
breadcrumbs: ドキュメント > API > Feature Flag
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Feature Flag

機能フラグと環境を管理します。

## [環境の削除](https://docs.datadoghq.com/ja/api/latest/feature-flags/delete-an-environment.md)

| Datadog site      | API endpoint                                                                            |
| ----------------- | --------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/feature-flags/environments/{environment_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/feature-flags/environments/{environment_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/feature-flags/environments/{environment_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/feature-flags/environments/{environment_id}  |

## [環境の更新](https://docs.datadoghq.com/ja/api/latest/feature-flags/update-an-environment.md)

| Datadog site      | API endpoint                                                                         |
| ----------------- | ------------------------------------------------------------------------------------ |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/feature-flags/environments/{environment_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/feature-flags/environments/{environment_id}      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/feature-flags/environments/{environment_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/feature-flags/environments/{environment_id}  |

## [環境の取得](https://docs.datadoghq.com/ja/api/latest/feature-flags/get-an-environment.md)

| Datadog site      | API endpoint                                                                         |
| ----------------- | ------------------------------------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags/environments/{environment_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags/environments/{environment_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags/environments/{environment_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags/environments/{environment_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags/environments/{environment_id}  |

## [環境の作成](https://docs.datadoghq.com/ja/api/latest/feature-flags/create-an-environment.md)

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/environments     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/environments |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/environments |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/environments      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/environments |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/environments |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/environments |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/environments      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/environments  |

## [環境の一覧](https://docs.datadoghq.com/ja/api/latest/feature-flags/list-environments.md)

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags/environments     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags/environments |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags/environments |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags/environments      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags/environments |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags/environments |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags/environments |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags/environments      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags/environments  |

## [プログレッシブロールアウトの停止](https://docs.datadoghq.com/ja/api/latest/feature-flags/stop-a-progressive-rollout.md)

| Datadog site      | API endpoint                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------ |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/stop  |

## [プログレッシブロールアウトの再開](https://docs.datadoghq.com/ja/api/latest/feature-flags/resume-a-progressive-rollout.md)

| Datadog site      | API endpoint                                                                                             |
| ----------------- | -------------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/resume  |

## [プログレッシブロールアウトの一時停止](https://docs.datadoghq.com/ja/api/latest/feature-flags/pause-a-progressive-rollout.md)

| Datadog site      | API endpoint                                                                                            |
| ----------------- | ------------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/pause  |

## [プログレッシブロールアウトの開始](https://docs.datadoghq.com/ja/api/latest/feature-flags/start-a-progressive-rollout.md)

| Datadog site      | API endpoint                                                                                            |
| ----------------- | ------------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/exposure-schedules/{exposure_schedule_id}/start  |

## [機能フラグのターゲティングルールの更新](https://docs.datadoghq.com/ja/api/latest/feature-flags/update-targeting-rules-for-a-flag.md)

| Datadog site      | API endpoint                                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------------------------ |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations  |

## [フラグ環境のターゲティングルールの作成](https://docs.datadoghq.com/ja/api/latest/feature-flags/create-targeting-rules-for-a-flag-env.md)

| Datadog site      | API endpoint                                                                                                        |
| ----------------- | ------------------------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/allocations  |

## [環境での機能フラグの無効化](https://docs.datadoghq.com/ja/api/latest/feature-flags/disable-a-feature-flag-in-an-environment.md)

| Datadog site      | API endpoint                                                                                                    |
| ----------------- | --------------------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/disable  |

## [環境での機能フラグの有効化](https://docs.datadoghq.com/ja/api/latest/feature-flags/enable-a-feature-flag-in-an-environment.md)

| Datadog site      | API endpoint                                                                                                   |
| ----------------- | -------------------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/environments/{environment_id}/enable  |

## [機能フラグのアーカイブ解除](https://docs.datadoghq.com/ja/api/latest/feature-flags/unarchive-a-feature-flag.md)

| Datadog site      | API endpoint                                                                        |
| ----------------- | ----------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/unarchive     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/unarchive |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/unarchive |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/unarchive      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/unarchive |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/unarchive |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/unarchive |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/unarchive      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/unarchive  |

## [機能フラグのアーカイブ](https://docs.datadoghq.com/ja/api/latest/feature-flags/archive-a-feature-flag.md)

| Datadog site      | API endpoint                                                                      |
| ----------------- | --------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/archive     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/archive |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/archive |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/archive      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/archive |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/archive |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/archive |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/archive      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/archive  |

## [機能フラグの更新](https://docs.datadoghq.com/ja/api/latest/feature-flags/update-a-feature-flag.md)

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}  |

## [機能フラグの取得](https://docs.datadoghq.com/ja/api/latest/feature-flags/get-a-feature-flag.md)

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}  |

## [機能フラグの作成](https://docs.datadoghq.com/ja/api/latest/feature-flags/create-a-feature-flag.md)

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags  |

## [機能フラグの一覧](https://docs.datadoghq.com/ja/api/latest/feature-flags/list-feature-flags.md)

| Datadog site      | API endpoint                                           |
| ----------------- | ------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags  |

## [バリアントの削除](https://docs.datadoghq.com/ja/api/latest/feature-flags/delete-a-variant.md)

| Datadog site      | API endpoint                                                                                      |
| ----------------- | ------------------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}  |

## [バリアントの更新](https://docs.datadoghq.com/ja/api/latest/feature-flags/update-a-variant.md)

| Datadog site      | API endpoint                                                                                   |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id} |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/variants/{variant_id}  |

## [機能フラグへのバリアントの追加](https://docs.datadoghq.com/ja/api/latest/feature-flags/add-a-variant-to-a-feature-flag.md)

| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/feature-flags/{feature_flag_id}/variants      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/feature-flags/{feature_flag_id}/variants |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/variants      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/feature-flags/{feature_flag_id}/variants  |

## [Get a saved filter](https://docs.datadoghq.com/ja/api/latest/feature-flags/get-a-saved-filter.md)

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags/saved-filters/{saved_filter_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags/saved-filters/{saved_filter_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags/saved-filters/{saved_filter_id}  |

## [Patch a saved filter](https://docs.datadoghq.com/ja/api/latest/feature-flags/patch-a-saved-filter.md)

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/feature-flags/saved-filters/{saved_filter_id}      |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/feature-flags/saved-filters/{saved_filter_id} |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/feature-flags/saved-filters/{saved_filter_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/feature-flags/saved-filters/{saved_filter_id}  |

## [List feature flag change history](https://docs.datadoghq.com/ja/api/latest/feature-flags/list-feature-flag-change-history.md)

| Datadog site      | API endpoint                                                   |
| ----------------- | -------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags/history     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags/history |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags/history |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags/history      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags/history |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags/history |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags/history |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags/history      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags/history  |

## [Export feature flag change history](https://docs.datadoghq.com/ja/api/latest/feature-flags/export-feature-flag-change-history.md)

| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/feature-flags/history/export     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/feature-flags/history/export |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/feature-flags/history/export |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/feature-flags/history/export      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/feature-flags/history/export |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/feature-flags/history/export |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/feature-flags/history/export |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/feature-flags/history/export      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/feature-flags/history/export  |
